## weston 13.0.0

=== debian/changelog ===
weston (13.0.0-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:05 +1100

weston (13.0.0-4build2) noble; urgency=medium

  * No-change rebuild against freerdp2 with t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:36:17 +0100

weston (13.0.0-4build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:39:50 +0000

weston (13.0.0-4) unstable; urgency=medium

  * Fix syntax of non fatal tests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 Feb 2024 09:24:06 +0100

weston (13.0.0-3) unstable; urgency=medium

  * Retrict architectures where tests are run
  * Disable backend-rdp for i64 and backend-vnc for i64 and sparc64,
      because of Build-Deps not available.
  * Mark Skip_xwayland_test.patch as 'Forwarded: not-needed'
  * Switch from pkg-config to pkgconf

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Feb 2024 18:02:10 +0100

weston (13.0.0-2) unstable; urgency=medium

  * Mark libweston-13-dev as 'Multi-Arch: same'
  * Install all manpages through weston.install
  * Enable all hardening flags
  * Add Build-Depends-Package field in symbols file
  * Add debian/upstream/metadata
  * Apply wrap-and-sort -a
  * Skip xwayland test since it fails at build time and on the
      autopkgtest infrastructure
  * Use build time tests as autopkgtest until upstream tests can be installed

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Feb 2024 17:45:02 +0100

weston (13.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jan 2024 10:00:54 +0100

weston (13.0.0-1~exp2) experimental; urgency=medium

  * Drop outdated references to quilt
  * Fix short description of libweston-13-dev
  * Standards-Version: 4.6.2 (no changes required)
  * Update debian/copyright
  * Remove trailing whitespace in debian/changelog
  * Update minimum version of Build-Deps
      - libdrm-dev >= 2.4.108
      - libinput-dev >= 1.2.0
      - libwayland-dev >= 1.22.0
      - meson >= 0.63.0
      - wayland-protocols >= 1.31
      - libneatvnc-dev >= 0.7.0
  * Add debian/gbp.conf
  * Use secure URI for homepage
  * Switch to debhelper-compat 13
  * Install some binaries in usr/libexec/ instead of usr/lib/*/
  * Drop useless debian/tmp/ prefix
  * weston suggests wayland-utils (Closes: #980995)
  * Mark libweston-13-0 as 'Multi-Arch: same'
  * Remove all references to weston-launch which was dropped
      upstream with weston 11
  * Drop dependency on adduser, no longer required since
      weston.postinst was dropped
  * Restrict Build-Deps on libneatvnc-dev for supported architectures

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jan 2024 09:47:00 +0100

weston (13.0.0-1~exp1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release. (Closes: #1054695)
  * Bump SONAME to libweston-13-0
  * Update symbols file
  * Use format: 3.0 (quilt)
  * Import Marius Vlad's key
  * Add myself in Uploaders

  [ Timo Aaltonen ]
  * rules: Drop the workaround to drop includedir from
      libweston-NN-protocols.pc. (LP: #1887301)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jan 2024 20:56:05 +0100

weston (12.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 03 Aug 2023 13:57:10 +0200

weston (12.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 01 Aug 2023 17:04:32 +0200

weston (11.0.0-2) experimental; urgency=medium

  * Add signing-key by emersion.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 20:10:49 +0200

weston (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 14 Oct 2022 18:26:54 +0200

weston (10.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Jul 2022 18:17:57 +0200

weston (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust files for version 10
  * debian/control: adjust versioned build dependencies

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 07 Feb 2022 13:02:27 +0100

weston (9.0.0-4) unstable; urgency=high

  * debian/rules: make tests non fatal
    - Xwayland test needs a proper environment to run.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 22:12:48 +0100

weston (9.0.0-3) unstable; urgency=high

  * re-enable pipewire support with new ABI (0.3)
  * set XDG_RUNTIME_DIR for testsuite at build daemons
    - failing tests are fatal for build.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 20:01:52 +0100

weston (9.0.0-2) unstable; urgency=medium

  * debian/libweston-9-dev.install: drop libexec_weston (Closes: #970134)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 20 Sep 2020 10:36:42 +0200

weston (9.0.0-1) unstable; urgency=medium

  * Release to unstable.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 11 Sep 2020 12:57:05 +0200

weston (9.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/libweston-9-0.install: disable pipewire plugin, waiting for
    pipewire-0.3 transition
  * debian/libweston-9-0.symbols: update
  * weston: install kiosk shell

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 04 Sep 2020 14:19:31 +0200

weston (8.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libweston-8-0.symbols: update
  * libexec_weston.so*,weston-direct-display.xml: new files

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 10 Feb 2020 12:23:53 +0100

weston (7.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump wayland dependency version
  * debian/control: add new dependencies
  * bump libweston-desktop ABI to 7
  * install weston-debug.xml in ABI versioned path
  * debian/weston.manpages: add weston-bindings manpage


=== debian/control ===
Source: weston
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               freerdp2-dev [!ia64],
               libcairo2-dev (>= 1.10.0),
               libcolord-dev (>= 0.1.27),
               libdbus-1-dev,
               libdrm-dev (>= 2.4.108),
               libegl1-mesa-dev (>= 9.0~),
               libgbm-dev (>= 17.2),
               libgdk-pixbuf-2.0-dev,
               libgles2-mesa-dev (>= 9.0~),
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libinput-dev (>= 1.2.0),
               libjpeg-dev,
               liblcms2-dev,
               libneatvnc-dev (>= 0.7.0) [!ia64 !sparc64],
               libpam0g-dev,
               libpango1.0-dev,
               libpipewire-0.3-dev,
               libpixman-1-dev (>= 0.25.2),
               libpng-dev,
               libseat-dev (>= 0.4),
               libsystemd-dev,
               libudev-dev (>= 136),
               libva-dev,
               libvpx-dev,
               libwayland-dev (>= 1.22.0),
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxkbcommon-dev (>= 0.3.0),
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.63.0),
               pkgconf,
               wayland-protocols (>= 1.31)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wayland.freedesktop.org/
Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston

Package: weston
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libweston-8-dev
Conflicts: libweston-8-dev
Replaces: libweston-8-dev
Recommends: libgl1-mesa-dri
Suggests: wayland-utils
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.

Package: libweston-13-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (shared libs)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston shared libraries.

Package: libweston-13-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpixman-1-dev,
         libwayland-dev,
         libweston-13-0 (= ${binary:Version}),
         libxkbcommon-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (headers)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston headers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter i64,$(DEB_HOST_ARCH)))
BACKEND_RDP=false
else
BACKEND_RDP=true
endif

ifneq (,$(filter i64 sparc64,$(DEB_HOST_ARCH)))
BACKEND_VNC=false
else
BACKEND_VNC=true
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        -Dbackend-rdp=$(BACKEND_RDP) \
	        -Dbackend-vnc=$(BACKEND_VNC) \
	        -Dscreenshare=true \
		-Dsystemd=true

override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
# Only make tests fatal for a subset of architectures
# https://gitlab.freedesktop.org/wayland/weston/-/issues/739
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel i386 ppc64el))
	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
else
	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
endif

override_dh_missing:
	dh_missing --fail-missing -X.la

override_dh_makeshlibs:
	dh_makeshlibs -Xlibweston-13/ -- -c4 -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/

override_dh_shlibdeps:
	dh_shlibdeps -O--buildsystem=meson -- -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/

%:
	dh $@ --buildsystem=meson

# For maintainer use only, generate a tarball:
gentarball: SOURCE=$(shell dpkg-parsechangelog|awk '/^Source:/ {print $$2}')
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

## weston 13.0.1

=== debian/changelog ===
weston (13.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file
  * Standards-Version: 4.7.0 (no changes required)
  * Don't install rdp-backend on ia64 (disabled)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Apr 2024 21:47:40 +0200

weston (13.0.0-5) unstable; urgency=medium

  * Don't install disabled features on ia64 and sparc64
  * Do not check the upper limit for neatvnc version (Closes: #1065816)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Mar 2024 12:01:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter i64,$(DEB_HOST_ARCH)))
+ifneq (,$(filter ia64,$(DEB_HOST_ARCH)))
 BACKEND_RDP=false
 else
 BACKEND_RDP=true
 endif
 
-ifneq (,$(filter i64 sparc64,$(DEB_HOST_ARCH)))
+ifneq (,$(filter ia64 sparc64,$(DEB_HOST_ARCH)))
 BACKEND_VNC=false
 else
 BACKEND_VNC=true

=== debian/tests/control ===
# Upstream testsuite is not yet installable, see
# https://gitlab.freedesktop.org/wayland/weston/-/issues/368
Test-Command: dh_auto_configure; dh_auto_build; dh_auto_test
Depends: @builddeps@
Restrictions: allow-stderr
Architecture: amd64 arm64 armel i386 ppc64el
# Tests fail on some Architectures
# https://gitlab.freedesktop.org/wayland/weston/-/issues/739

## weston 13.0.3

=== debian/changelog ===
weston (13.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Jun 2024 17:25:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: weston
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Héctor Orón Martínez <zumbi@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                freerdp2-dev [!ia64],
                libcairo2-dev (>= 1.10.0),
                libcolord-dev (>= 0.1.27),
@@ -51,7 +51,7 @@
                meson (>= 0.63.0),
                pkgconf,
                wayland-protocols (>= 1.31)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wayland.freedesktop.org/
 Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git

## weston 14.0.0

=== debian/changelog ===
weston (14.0.0-2~bpo12+2) bookworm-backports; urgency=medium

  * Use freerdp2-dev on architectures where freerdp3-dev is
    not available in Bookworm.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Sep 2024 21:39:48 +0200

weston (14.0.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Disable VNC backend, required minimum version of libneatvnc
      is not available in Bookworm.
  * Bump minimum version of libdisplay-info-dev,
      it's required to get a better color management like HDR support.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Sep 2024 09:40:31 +0200

weston (14.0.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/libweston-noop-renderer-Check-shm_buffer-for-NULL.patch:
    Add proposed patch fixing a crash while running the gtk4 test suite.
    Thanks to Jan Alexander Steffens (heftig) (Closes: #1081515)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Sep 2024 14:20:35 +0200

weston (14.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Sep 2024 11:30:18 +0200

weston (14.0.0-1~exp2) experimental; urgency=medium

  * Switch to freerdp3-dev from freerdp2-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Sep 2024 17:17:54 +0200

weston (14.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Remove_upper_limit_of_required_neatvnc_version.patch,
      no longer required.
  * Add new Build-Deps: libdisplay-info-dev
  * Bump SONAME to libweston-14-0
  * Update symbols file
  * Drop gentarball target in rules since we use upstream signed tarballs
  * Drop packaging tweaks for architecture ia64
  * Update minimum version of Build-Deps
      - wayland-protocols >= 1.33

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Sep 2024 17:17:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
            Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               freerdp2-dev [!ia64],
+               freerdp2-dev [armel armhf mipsel],
+               freerdp3-dev [!armel !armhf !mipsel],
                libcairo2-dev (>= 1.10.0),
                libcolord-dev (>= 0.1.27),
                libdbus-1-dev,
+               libdisplay-info-dev (>= 0.2.0),
                libdrm-dev (>= 2.4.108),
                libegl1-mesa-dev (>= 9.0~),
                libgbm-dev (>= 17.2),
@@ -23,7 +25,7 @@
                libinput-dev (>= 1.2.0),
                libjpeg-dev,
                liblcms2-dev,
-               libneatvnc-dev (>= 0.7.0) [!ia64 !sparc64],
+#              libneatvnc-dev (>= 0.7.0) [!sparc64],
                libpam0g-dev,
                libpango1.0-dev,
                libpipewire-0.3-dev,
@@ -50,7 +52,7 @@
                mesa-common-dev,
                meson (>= 0.63.0),
                pkgconf,
-               wayland-protocols (>= 1.31)
+               wayland-protocols (>= 1.33)
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wayland.freedesktop.org/
@@ -73,7 +75,7 @@
  and fast compositor and is suitable for many embedded and mobile use
  cases.
 
-Package: libweston-13-0
+Package: libweston-14-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -90,13 +92,13 @@
  .
  This package includes the libweston shared libraries.
 
-Package: libweston-13-dev
+Package: libweston-14-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
 Depends: libpixman-1-dev,
          libwayland-dev,
-         libweston-13-0 (= ${binary:Version}),
+         libweston-14-0 (= ${binary:Version}),
          libxkbcommon-dev,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
BACKEND_VNC=false
else
BACKEND_VNC=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	        -Dbackend-rdp=true \
	        -Dbackend-vnc=$(BACKEND_VNC) \
	        -Dscreenshare=true \
		-Dsystemd=true

override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
# Only make tests fatal for a subset of architectures
# https://gitlab.freedesktop.org/wayland/weston/-/issues/739
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel i386 ppc64el))
	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
else
	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
endif

override_dh_missing:
	dh_missing --fail-missing -X.la

override_dh_makeshlibs:
	dh_makeshlibs -Xlibweston-14/ -- -c4 -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/

override_dh_shlibdeps:
	dh_shlibdeps -O--buildsystem=meson -- -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/

%:
	dh $@ --buildsystem=meson

## weston 14.0.1

=== debian/changelog ===
weston (14.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage in debian/control.
  * Drop libweston-noop-renderer-Check-shm_buffer-for-NULL.patch,
      included in upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 22 Oct 2024 17:50:04 +0200

weston (14.0.0-3) experimental; urgency=medium

  * Enable tests (build time and autopkgtest) on armhf since
      they are now successful.
  * Bump minimum version of libdisplay-info-dev to 0.2.0,
      it's required to get a better color management like HDR support.
  * Move weston headers for plugin development into their
      own package weston-dev. (Closes: #952530)
  * cme fix dpkg-control

 -- Dylan Aïssi <daissi@debian.org>  Thu, 17 Oct 2024 22:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: weston
-Section: x11
-Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Héctor Orón Martínez <zumbi@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Dylan Aïssi <daissi@debian.org>
+Section: x11
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               freerdp2-dev [armel armhf mipsel],
-               freerdp3-dev [!armel !armhf !mipsel],
+               freerdp3-dev,
                libcairo2-dev (>= 1.10.0),
                libcolord-dev (>= 0.1.27),
                libdbus-1-dev,
@@ -25,7 +24,7 @@
                libinput-dev (>= 1.2.0),
                libjpeg-dev,
                liblcms2-dev,
-#              libneatvnc-dev (>= 0.7.0) [!sparc64],
+               libneatvnc-dev (>= 0.7.0) [!sparc64],
                libpam0g-dev,
                libpango1.0-dev,
                libpipewire-0.3-dev,
@@ -54,18 +53,15 @@
                pkgconf,
                wayland-protocols (>= 1.33)
 Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
+Homepage: https://wayland.pages.freedesktop.org/weston/
 Rules-Requires-Root: no
-Homepage: https://wayland.freedesktop.org/
-Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
-Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
 
 Package: weston
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libweston-8-dev
-Conflicts: libweston-8-dev
-Replaces: libweston-8-dev
 Recommends: libgl1-mesa-dri
 Suggests: wayland-utils
 Description: reference implementation of a wayland compositor
@@ -75,14 +71,29 @@
  and fast compositor and is suitable for many embedded and mobile use
  cases.
 
+Package: weston-dev
+Architecture: linux-any
+Depends: weston,
+         libweston-14-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: weston (<< 14.0.0-3)
+Replaces: weston (<< 14.0.0-3)
+Description: reference implementation of a wayland compositor (headers)
+ Part of the Wayland project is also the Weston reference implementation
+ of a Wayland compositor. Weston can run as an X client or under Linux
+ KMS and ships with a few demo clients. The Weston compositor is a minimal
+ and fast compositor and is suitable for many embedded and mobile use
+ cases.
+ .
+ This package includes the weston headers for plugin development.
+
 Package: libweston-14-0
-Section: libs
 Architecture: linux-any
 Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: weston (<< 1.12.0-1)
-Breaks: weston (<< 1.12.0-1)
 Description: reference implementation of a wayland compositor (shared libs)
  Part of the Wayland project is also the Weston reference implementation
  of a Wayland compositor. Weston can run as an X client or under Linux
@@ -93,17 +104,15 @@
  This package includes the libweston shared libraries.
 
 Package: libweston-14-dev
-Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
+Section: libdevel
 Depends: libpixman-1-dev,
          libwayland-dev,
          libweston-14-0 (= ${binary:Version}),
          libxkbcommon-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: weston (<< 1.12.0-1)
-Breaks: weston (<< 1.12.0-1)
 Description: reference implementation of a wayland compositor (headers)
  Part of the Wayland project is also the Weston reference implementation
  of a Wayland compositor. Weston can run as an X client or under Linux

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
 BACKEND_VNC=false
 else
-BACKEND_VNC=false
+BACKEND_VNC=true
 endif
 
 override_dh_auto_configure:
@@ -19,7 +19,7 @@
 	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel i386 ppc64el))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el))
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,6 @@
 Test-Command: dh_auto_configure; dh_auto_build; dh_auto_test
 Depends: @builddeps@
 Restrictions: allow-stderr
-Architecture: amd64 arm64 armel i386 ppc64el
+Architecture: amd64 arm64 armel armhf i386 ppc64el
 # Tests fail on some Architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739

## weston 14.0.2

=== meson_options.txt ===
# This option is not implemented:
#  --with-cairo=[image|gl|glesv2] Which Cairo renderer to use for the clients
# It is hardcoded to cairo-image for now.

option(
	'backend-drm',
	type: 'boolean',
	value: true,
	description: 'Weston backend: DRM/KMS'
)
option(
	'backend-drm-screencast-vaapi',
	type: 'boolean',
	value: true,
	description: 'DRM/KMS backend support for VA-API screencasting'
)
option(
	'backend-headless',
	type: 'boolean',
	value: true,
	description: 'Weston backend: headless (testing)'
)
option(
	'backend-pipewire',
	type: 'boolean',
	value: true,
	description: 'PipeWire backend: screencasting via PipeWire'
)
option(
	'backend-rdp',
	type: 'boolean',
	value: true,
	description: 'Weston backend: RDP remote screensharing'
)
option(
	'screenshare',
	type: 'boolean',
	value: true,
	description: 'Compositor: RDP screen-sharing support'
)
option(
	'backend-vnc',
	type: 'boolean',
	value: true,
	description: 'Weston backend: VNC remote screensharing'
)
option(
	'backend-wayland',
	type: 'boolean',
	value: true,
	description: 'Weston backend: Wayland (nested)'
)
option(
	'backend-x11',
	type: 'boolean',
	value: true,
	description: 'Weston backend: X11 (nested)'
)
option(
	'backend-default',
	type: 'combo',
	choices: [ 'auto', 'drm', 'wayland', 'x11', 'headless', 'rdp' ],
	value: 'drm',
	description: 'Default backend when no parent display server detected'
)

option(
	'renderer-gl',
	type: 'boolean',
	value: true,
	description: 'Weston renderer: EGL / OpenGL ES 2.x'
)

option(
	'xwayland',
	type: 'boolean',
	value: true,
	description: 'Xwayland: support for X11 clients inside Weston'
)
option(
	'xwayland-path',
	type: 'string',
	value: '/usr/bin/Xwayland',
	description: 'Xwayland: path to installed Xwayland binary'
)

option(
	'systemd',
	type: 'boolean',
	value: true,
	description: 'systemd service plugin: state notify, watchdog, socket activation'
)

option(
	'remoting',
	type: 'boolean',
	value: true,
	description: 'Virtual remote output with GStreamer on DRM backend'
)

option(
	'pipewire',
	type: 'boolean',
	value: true,
	description: 'Virtual remote output with Pipewire on DRM backend'
)

option(
	'shell-desktop',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: traditional desktop'
)
option(
	'shell-fullscreen',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: fullscreen/kiosk'
)
option(
	'shell-ivi',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: IVI (automotive)'
)
option(
	'shell-kiosk',
	type: 'boolean',
	value: true,
	description: 'Weston shell UI: kiosk (desktop apps)'
)

option(
	'desktop-shell-client-default',
	type: 'string',
	value: 'weston-desktop-shell',
	description: 'Weston desktop shell: default helper client selection'
)

option(
	'color-management-lcms',
	type: 'boolean',
	value: true,
	description: 'Compositor color management: Little CMS'
)

option(
	'image-jpeg',
	type: 'boolean',
	value: true,
	description: 'JPEG loading support'
)
option(
	'image-webp',
	type: 'boolean',
	value: true,
	description: 'WebP loading support'
)

option(
	'tools',
	type: 'array',
	choices: [ 'calibrator', 'debug', 'info', 'terminal', 'touch-calibrator' ],
	description: 'List of accessory clients to build and install'
)
option(
	'demo-clients',
	type: 'boolean',
	value: true,
	description: 'Sample clients: toytoolkit demo programs'
)
option(
	'simple-clients',
	type: 'array',
	choices: [ 'all', 'damage', 'im', 'egl', 'shm', 'touch', 'dmabuf-feedback', 'dmabuf-v4l', 'dmabuf-egl' ],
	value: [ 'all' ],
	description: 'Sample clients: simple test programs'
)

option(
	'resize-pool',
	type: 'boolean',
	value: true,
	description: 'Sample clients: optimize window resize performance'
)
option(
	'wcap-decode',
	type: 'boolean',
	value: true,
	description: 'Tools: screen recording decoder tool'
)

option(
	'tests',
	type: 'boolean',
	value: true,
	description: 'Compile Weston tests'
)
option(
	'test-junit-xml',
	type: 'boolean',
	value: true,
	description: 'Tests: output JUnit XML results'
)
option(
	'test-skip-is-failure',
	type: 'boolean',
	value: false,
	description: 'Tests: consider skip to be a failure'
)
option(
	'doc',
	type: 'boolean',
	value: false,
	description: 'Generate documentation'
)

=== debian/changelog ===
weston (14.0.2-5) unstable; urgency=high

  * Team upload
  * Increase build test timeout because of riscv64 (Closes: #1120434)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Nov 2025 14:31:47 -0500

weston (14.0.2-4) unstable; urgency=high

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick patch to allow building with libdisplay-info 0.3
  * Update debian/gbp.conf

  [ Dylan Aïssi ]
  * Convert watch to version 5 and use Gitlab template

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Nov 2025 07:53:33 -0500

weston (14.0.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Sep 2025 09:47:16 +0200

weston (14.0.2-2) experimental; urgency=medium

  * Build Weston documentation and install it in weston-doc.
  * Add new Build-Deps-Indep: python3-breathe, python3-sphinx and
      python3-sphinx-rtd-theme.
  * Cherry-pick upstream patch to fix compatibility with sphinx 8.x.
  * salsa-ci: add jobs to test nodoc profile and cross-build.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Sep 2025 14:55:41 +0200

weston (14.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add some references in debian/upstream/metadata.
  * Use dh_installman to install manpages.
  * debian/watch: rely on gitlab releases instead of releases.html
      which tends to be outdated.
  * Drop patch included in upstream release.
  * Add debian/salsa-ci.yml.
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Apr 2025 17:28:58 +0200

weston (14.0.1-3) unstable; urgency=medium

  * Cherry pick upstream patch allowing to build against neatvnc 0.9.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Nov 2024 10:04:10 +0100

weston (14.0.1-2) unstable; urgency=medium

  [ Carlos Henrique Lima Melara ]
  * d/control: Recommends xwayland so it works out-of-the-box

  [ Dylan Aïssi ]
  * Run autopkgtest on failing architectures but marked as flaky
  * Add xwayland in Build-Deps to ensure that HAVE_XWAYLAND_LISTENFD
      is properly defined
  * Re-enable xwayland test
  * Enable tests (build time and autopkgtest) on riscv64 since they are
      now successful

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2024 15:49:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,27 @@
 BACKEND_VNC=true
 endif
 
+ifeq (,$(filter weston-doc,$(shell dh_listpackages)))
+CONFIGURE_FLAGS = -Ddoc=false
+else
+CONFIGURE_FLAGS = -Ddoc=true
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        -Dbackend-rdp=true \
 	        -Dbackend-vnc=$(BACKEND_VNC) \
 	        -Dscreenshare=true \
-		-Dsystemd=true
+		-Dsystemd=true \
+		$(CONFIGURE_FLAGS)
 
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
+	mkdir -p /tmp/.X11-unix
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el))
-	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el riscv64))
+	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test --  --timeout-multiplier 3
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
 endif

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.freedesktop.org/wayland/weston

## weston 14.0.91

=== debian/changelog ===
weston (14.0.91-1) experimental; urgency=medium

  * New upstream release (alpha release for 15.0.0)
  * Bump SONAME to libweston-15-0
  * Update symbols file
  * Drop patches included in upstream release
  * Disable deprecated screenshare option
  * Don't install fullscreen-shell and screen-share because deprecated
  * Add libvulkan-dev and glslang-tools in Build-Deps required for
      Vulkan-renderer
  * Install vulkan-renderer in libweston-15-0
  * Add liblua5.4-dev in Build-Deps required for
      lua-shell
  * Install lua-shell and shell.lua  in weston
  * Make tests non fatal for now in debian/rules,
      this will need to be fixed before the version 15.0.0
  * Adjust VCS fields in d/control and d/gbp.conf for experimental
  * gbp.conf: add upstream-vcs-tag
  * Update debian/watch to target the signed tarball

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Dec 2025 23:50:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                freerdp3-dev,
+               glslang-tools,
                libcairo2-dev (>= 1.10.0),
                libcolord-dev (>= 0.1.27),
                libdbus-1-dev,
@@ -24,6 +25,7 @@
                libinput-dev (>= 1.2.0),
                libjpeg-dev,
                liblcms2-dev,
+               liblua5.4-dev,
                libneatvnc-dev (>= 0.7.0) [!sparc64],
                libpam0g-dev,
                libpango1.0-dev,
@@ -35,6 +37,7 @@
                libudev-dev (>= 136),
                libva-dev,
                libvpx-dev,
+               libvulkan-dev,
                libwayland-dev (>= 1.22.0),
                libwebp-dev,
                libx11-dev,
@@ -51,10 +54,15 @@
                mesa-common-dev,
                meson (>= 0.63.0),
                pkgconf,
-               wayland-protocols (>= 1.33)
-Standards-Version: 4.7.0
+               wayland-protocols (>= 1.33),
+               xwayland
+Build-Depends-Indep:
+               python3-breathe <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
-Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
 Homepage: https://wayland.pages.freedesktop.org/weston/
 Rules-Requires-Root: no
 
@@ -62,7 +70,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libgl1-mesa-dri
+Recommends: libgl1-mesa-dri,
+            xwayland
 Suggests: wayland-utils
 Description: reference implementation of a wayland compositor
  Part of the Wayland project is also the Weston reference implementation
@@ -74,7 +83,7 @@
 Package: weston-dev
 Architecture: linux-any
 Depends: weston,
-         libweston-14-dev,
+         libweston-15-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: weston (<< 14.0.0-3)
@@ -88,7 +97,22 @@
  .
  This package includes the weston headers for plugin development.
 
-Package: libweston-14-0
+Package: weston-doc
+Section: doc
+Build-Profiles: <!nodoc>
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: reference implementation of a wayland compositor (doc)
+ Part of the Wayland project is also the Weston reference implementation
+ of a Wayland compositor. Weston can run as an X client or under Linux
+ KMS and ships with a few demo clients. The Weston compositor is a minimal
+ and fast compositor and is suitable for many embedded and mobile use
+ cases.
+ .
+ This package contains the Weston documentation.
+
+Package: libweston-15-0
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -103,13 +127,13 @@
  .
  This package includes the libweston shared libraries.
 
-Package: libweston-14-dev
+Package: libweston-15-dev
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: libpixman-1-dev,
          libwayland-dev,
-         libweston-14-0 (= ${binary:Version}),
+         libweston-15-0 (= ${binary:Version}),
          libxkbcommon-dev,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	dh_auto_configure -- \
 	        -Dbackend-rdp=true \
 	        -Dbackend-vnc=$(BACKEND_VNC) \
-	        -Dscreenshare=true \
 		-Dsystemd=true \
 		$(CONFIGURE_FLAGS)
 
@@ -28,7 +27,7 @@
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el riscv64))
-	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test --  --timeout-multiplier 3
+	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true --  --timeout-multiplier 3
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
 endif
@@ -37,7 +36,7 @@
 	dh_missing --fail-missing -X.la
 
 override_dh_makeshlibs:
-	dh_makeshlibs -Xlibweston-14/ -- -c4 -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/
+	dh_makeshlibs -Xlibweston-15/ -- -c4 -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/
 
 override_dh_shlibdeps:
 	dh_shlibdeps -O--buildsystem=meson -- -ldebian/weston/usr/lib/$(DEB_TARGET_MULTIARCH)/weston/

## weston 14.0.92

=== debian/changelog ===
weston (14.0.92-1) experimental; urgency=medium

  * New upstream release (beta release for 15.0.0)
  * Add mesa-vulkan-drivers in Build-Depends, it is required by tests
  * Set tests as fatal in debian/rules

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jan 2026 22:20:24 +0100

=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
                libxkbcommon-dev (>= 0.3.0),
                libxml2-dev,
                mesa-common-dev,
+               mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.63.0),
                pkgconf,
                wayland-protocols (>= 1.33),

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el riscv64))
-	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true --  --timeout-multiplier 3
+	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test --  --timeout-multiplier 3
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
 endif

## weston 14.0.93

=== debian/changelog ===
weston (14.0.93-1) experimental; urgency=medium

  * New upstream release (RC1 release for 15.0.0)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 11:07:04 +0100

## weston 14.0.94

=== debian/changelog ===
weston (14.0.94-1) experimental; urgency=medium

  * New upstream release (RC2 release for 15.0.0)
  * Disable the Vulkan Render on armhf because it causes regressions
    on build-time tests.
  * Remove redundant Rules-Requires-Root
  * Remove redundant Priority: optional
  * Bump Standards-Version to 4.7.3

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Jan 2026 14:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                freerdp3-dev,
@@ -61,11 +60,10 @@
                python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
 Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
 Homepage: https://wayland.pages.freedesktop.org/weston/
-Rules-Requires-Root: no
 
 Package: weston
 Architecture: linux-any

=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/api/v4/projects/wayland%2Fweston/releases
Matching-Pattern: https://gitlab.freedesktop.org/wayland/weston/-/releases/?\d[\d.]+/downloads/weston-@ANY_VERSION@\.tar\.xz
Pgpsigurlmangle: s/$/.sig/
Searchmode: plain

## weston 14.0.95

=== debian/changelog ===
weston (14.0.95-1) experimental; urgency=medium

  * New upstream release (RC3 release for 15.0.0)
  * Update symbols file: add 2 new symbols

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Feb 2026 23:49:02 +0100

## weston 14.0.97

=== debian/changelog ===
weston (14.0.97-1) experimental; urgency=medium

  * New upstream release (RC5 release for 15.0.0)
  * Update symbols file: add 1 new symbol

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Feb 2026 09:52:00 +0100

## weston 15.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -9,10 +9,10 @@
 	description: 'Weston backend: DRM/KMS'
 )
 option(
-	'backend-drm-screencast-vaapi',
-	type: 'boolean',
-	value: true,
-	description: 'DRM/KMS backend support for VA-API screencasting'
+	'deprecated-backend-drm-screencast-vaapi',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: DRM/KMS backend support for VA-API screencasting'
 )
 option(
 	'backend-headless',
@@ -33,10 +33,10 @@
 	description: 'Weston backend: RDP remote screensharing'
 )
 option(
-	'screenshare',
-	type: 'boolean',
-	value: true,
-	description: 'Compositor: RDP screen-sharing support'
+	'deprecated-screenshare',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: Compositor: RDP screen-sharing support. Requires fullscreen-shell support'
 )
 option(
 	'backend-vnc',
@@ -72,6 +72,13 @@
 )
 
 option(
+	'renderer-vulkan',
+	type: 'boolean',
+	value: true,
+	description: 'Weston renderer: Vulkan'
+)
+
+option(
 	'xwayland',
 	type: 'boolean',
 	value: true,
@@ -112,10 +119,10 @@
 	description: 'Weston shell UI: traditional desktop'
 )
 option(
-	'shell-fullscreen',
-	type: 'boolean',
-	value: true,
-	description: 'Weston shell UI: fullscreen/kiosk'
+	'deprecated-shell-fullscreen',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: Weston shell UI: fullscreen/kiosk. For a more modern alternative, use kiosk-shell instead'
 )
 option(
 	'shell-ivi',
@@ -128,6 +135,12 @@
 	type: 'boolean',
 	value: true,
 	description: 'Weston shell UI: kiosk (desktop apps)'
+)
+option(
+	'shell-lua',
+	type: 'boolean',
+	value: true,
+	description: 'Weston shell UI: Lua (programmable)'
 )
 
 option(
@@ -214,3 +227,9 @@
 	value: false,
 	description: 'Generate documentation'
 )
+option(
+	'perfetto',
+	type : 'boolean',
+	value : false,
+	description : 'Enable performance analysis with Perfetto.'
+)

=== debian/changelog ===
weston (15.0.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf for unstable
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Feb 2026 10:00:04 +0100

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
-Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
 Homepage: https://wayland.pages.freedesktop.org/weston/
 
 Package: weston

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,14 @@
 BACKEND_VNC=false
 else
 BACKEND_VNC=true
+endif
+
+# Disable the Vulkan Render on armhf because
+# it causes regressions on build-time tests. (mesa issue?)
+ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
+RENDERER_VULKAN=false
+else
+RENDERER_VULKAN=true
 endif
 
 ifeq (,$(filter weston-doc,$(shell dh_listpackages)))
@@ -18,6 +26,7 @@
 	dh_auto_configure -- \
 	        -Dbackend-rdp=true \
 	        -Dbackend-vnc=$(BACKEND_VNC) \
+	        -Drenderer-vulkan=$(RENDERER_VULKAN) \
 		-Dsystemd=true \
 		$(CONFIGURE_FLAGS)
